import test, { ContextualCallbackTest, ContextualTest } from 'ava';
import { FixtureTest } from './interfaces';
export declare namespace Ava {
    interface ContextualTestFunction {
        (name: string, run: ContextualTest): void;
        (run: ContextualTest): void;
    }
    interface TestFunction {
        (name: string, implementation: Test): void;
        (implementation: Test): void;
    }
    interface ContextualCallbackTestFunction {
        (name: string, run: ContextualCallbackTest): void;
        (run: ContextualCallbackTest): void;
    }
    interface Test extends ContextualTestFunction {
        before: ContextualTestFunction;
        after: ContextualTestFunction;
        beforeEach: TestFunction;
        afterEach: TestFunction;
        skip: ContextualTestFunction;
        only: ContextualTestFunction;
        serial: ContextualTestFunction;
        failing: ContextualCallbackTestFunction;
        cb: ContextualCallbackTestFunction;
        todo(name: string): void;
    }
}
/**
 * Creates fixture test.
 * `cwd` is set to the case directory during the test.
 * @param ava The ava module function (`import ava from 'ava'`).
 * @param path Absolute or relative path to the fixture cases parent directory. In ava@0.17, cwd for relative path is set to the project root, instead of test file location.
 */
export default function fixture(ava: typeof test, path: string): FixtureTest;
